#cloud-config
hostname: ${vmName}
ssh_authorized_keys:
  - ${vmPubKey}
output :
  all: '| tee -a /var/log/cloud-init-runcmd.log'
runcmd:
  # fix hostname for sudo
  - [ 'bash', '-c', 'sed -i "/127.0.0.1 localhost/a ${vmNetAddress} ${vmName}" /etc/hosts > /dev/null' ]
  - [ 'bash', '-c', 'hostname ${vmName}' ]
  # set up automatic updates
  - [ 'bash', '-c', 'echo "0 3 * * * apt-get update -y && apt-get dist-upgrade -y --fix-missing > /var/log/cloud-init-autoupdate.log" | crontab -' ]
